sudo-1.8.20p2-1.mga5.i586.rpm


Advertisement

Description

sudo - Allows command execution as root for specified users

Distribution: Mageia 5.1
Repository: Mageia Core Updates i586
Package name: sudo
Package version: 1.8.20p2
Package release: 1.mga5
Package architecture: i586
Package type: rpm
Installed size: 3.12 MB
Download size: 809.40 KB
Official Mirror: distrib-coffee.ipsl.jussieu.fr
Sudo (superuser do) allows a system administrator to give certain users (or groups of users) the ability to run some (or all) commands as root while logging all commands and arguments. Sudo operates on a per-command basis. It is not a replacement for the shell. Features include: the ability to restrict what commands a user may run on a per-host basis, copious logging of each command (providing a clear audit trail of who did what), a configurable timeout of the sudo command, and the ability to use the same configuration file (sudoers) on many different machines.

Alternatives

Provides

  • config(sudo) == 1:1.8.20p2-1.mga5
  • libsudo_util.so.0
  • sudo == 1:1.8.20p2-1.mga5
  • sudo(x86-32) == 1:1.8.20p2-1.mga5

    Download

    Install Howto

    1. Enable Mageia Core Updates repository on "Install and Remove Software"
    2. Update packages list:
      # urpmi.update -a
    3. Install sudo rpm package:
      # urpmi sudo

    Files

    • /etc/sudoers
    • /etc/sudoers.d
    • /etc/sudoers.dist
    • /etc/logrotate.d/sudo
    • /etc/pam.d/sudo
    • /etc/pam.d/sudo-i
    • /usr/bin/sudo
    • /usr/bin/sudoedit
    • /usr/bin/sudoers2ldif
    • /usr/bin/sudoreplay
    • /usr/lib/libsudo_util.so.0
    • /usr/lib/libsudo_util.so.0.0.0
    • /usr/lib/sudo/group_file.so
    • /usr/lib/sudo/sudoers.so
    • /usr/lib/sudo/system_group.so
    • /usr/lib/tmpfiles.d/sudo.conf
    • /usr/sbin/visudo
    • /usr/share/doc/sudo/CONTRIBUTORS
    • /usr/share/doc/sudo/HISTORY
    • /usr/share/doc/sudo/LICENSE
    • /usr/share/doc/sudo/NEWS
    • /usr/share/doc/sudo/README
    • /usr/share/doc/sudo/README.LDAP
    • /usr/share/doc/sudo/TROUBLESHOOTING
    • /usr/share/doc/sudo/UPGRADE
    • /usr/share/doc/sudo/schema.ActiveDirectory
    • /usr/share/doc/sudo/schema.OpenLDAP
    • /usr/share/doc/sudo/schema.iPlanet
    • /usr/share/doc/sudo/examples/pam.conf
    • /usr/share/doc/sudo/examples/sudo.conf
    • /usr/share/doc/sudo/examples/sudoers
    • /usr/share/doc/sudo/examples/syslog.conf
    • /usr/share/doc/sudo/samples/pam.conf
    • /usr/share/doc/sudo/samples/sudo.conf
    • /usr/share/doc/sudo/samples/sudoers
    • /usr/share/doc/sudo/samples/syslog.conf
    • /usr/share/locale/ca/LC_MESSAGES/sudo.mo
    • /usr/share/locale/ca/LC_MESSAGES/sudoers.mo
    • /usr/share/locale/cs/LC_MESSAGES/sudo.mo
    • /usr/share/locale/cs/LC_MESSAGES/sudoers.mo
    • /usr/share/locale/da/LC_MESSAGES/sudo.mo
    • /usr/share/locale/da/LC_MESSAGES/sudoers.mo
    • /usr/share/locale/de/LC_MESSAGES/sudo.mo
    • /usr/share/locale/de/LC_MESSAGES/sudoers.mo
    • /usr/share/locale/el/LC_MESSAGES/sudoers.mo
    • /usr/share/locale/eo/LC_MESSAGES/sudo.mo
    • /usr/share/locale/eo/LC_MESSAGES/sudoers.mo
    • /usr/share/locale/es/LC_MESSAGES/sudo.mo
    • /usr/share/locale/eu/LC_MESSAGES/sudo.mo
    • /usr/share/locale/eu/LC_MESSAGES/sudoers.mo
    • /usr/share/locale/fi/LC_MESSAGES/sudo.mo
    • /usr/share/locale/fi/LC_MESSAGES/sudoers.mo
    • /usr/share/locale/fr/LC_MESSAGES/sudo.mo
    • /usr/share/locale/fr/LC_MESSAGES/sudoers.mo
    • /usr/share/locale/gl/LC_MESSAGES/sudo.mo
    • /usr/share/locale/hr/LC_MESSAGES/sudo.mo
    • /usr/share/locale/hr/LC_MESSAGES/sudoers.mo
    • /usr/share/locale/hu/LC_MESSAGES/sudo.mo
    • /usr/share/locale/hu/LC_MESSAGES/sudoers.mo
    • /usr/share/locale/it/LC_MESSAGES/sudo.mo
    • /usr/share/locale/it/LC_MESSAGES/sudoers.mo
    • /usr/share/locale/ja/LC_MESSAGES/sudo.mo
    • /usr/share/locale/ja/LC_MESSAGES/sudoers.mo
    • /usr/share/locale/ko/LC_MESSAGES/sudo.mo
    • /usr/share/locale/ko/LC_MESSAGES/sudoers.mo
    • /usr/share/locale/lt/LC_MESSAGES/sudoers.mo
    • /usr/share/locale/nb/LC_MESSAGES/sudo.mo
    • /usr/share/locale/nb/LC_MESSAGES/sudoers.mo
    • /usr/share/locale/nl/LC_MESSAGES/sudo.mo
    • /usr/share/locale/nl/LC_MESSAGES/sudoers.mo
    • /usr/share/locale/nn/LC_MESSAGES/sudo.mo
    • /usr/share/locale/pl/LC_MESSAGES/sudo.mo
    • /usr/share/locale/pl/LC_MESSAGES/sudoers.mo
    • /usr/share/locale/pt_BR/LC_MESSAGES/sudo.mo
    • /usr/share/locale/pt_BR/LC_MESSAGES/sudoers.mo
    • /usr/share/locale/ru/LC_MESSAGES/sudo.mo
    • /usr/share/locale/ru/LC_MESSAGES/sudoers.mo
    • /usr/share/locale/sk/LC_MESSAGES/sudo.mo
    • /usr/share/locale/sk/LC_MESSAGES/sudoers.mo
    • /usr/share/locale/sl/LC_MESSAGES/sudo.mo
    • /usr/share/locale/sl/LC_MESSAGES/sudoers.mo
    • /usr/share/locale/sr/LC_MESSAGES/sudo.mo
    • /usr/share/locale/sr/LC_MESSAGES/sudoers.mo
    • /usr/share/locale/sv/LC_MESSAGES/sudo.mo
    • /usr/share/locale/sv/LC_MESSAGES/sudoers.mo
    • /usr/share/locale/tr/LC_MESSAGES/sudo.mo
    • /usr/share/locale/tr/LC_MESSAGES/sudoers.mo
    • /usr/share/locale/uk/LC_MESSAGES/sudo.mo
    • /usr/share/locale/uk/LC_MESSAGES/sudoers.mo
    • /usr/share/locale/vi/LC_MESSAGES/sudo.mo
    • /usr/share/locale/vi/LC_MESSAGES/sudoers.mo
    • /usr/share/locale/zh_CN/LC_MESSAGES/sudo.mo
    • /usr/share/locale/zh_CN/LC_MESSAGES/sudoers.mo
    • /usr/share/man/man5/sudo.conf.5.xz
    • /usr/share/man/man5/sudoers.5.xz
    • /usr/share/man/man5/sudoers.ldap.5.xz
    • /usr/share/man/man8/sudo.8.xz
    • /usr/share/man/man8/sudo_plugin.8.xz
    • /usr/share/man/man8/sudoedit.8.xz
    • /usr/share/man/man8/sudoreplay.8.xz
    • /usr/share/man/man8/visudo.8.xz
    • /var/db/sudo/lectured
    • /var/log/sudo-io
    • /var/log/sudo.log

    Changelog

    2017-07-09 - luigiwalser <luigiwalser> 1:1.8.20p2-1.mga5 + Revision: 1109577 - 1.8.20p2 (fixes CVE-2017-100036[78]) - 1.8.17p1 (fixes CVE-2016-8239) - remove INPUTRC from env_keep due to possible info leak (rhbz#1339935) - use nslcd.conf for ldap config instead of ldap.conf which no longer is used - 1.8.15 - remove upstreamed patches 3 and 4 - disable visiblepw instead of enable requiretty in sudoers (mga#16590) + neoclust <neoclust> - update to 1.8.18p1 - fixes CVE-2016-7076

    2015-02-21 - luigiwalser <luigiwalser> 1:1.8.12-2.mga5 + Revision: 816279 - add upstream patch to fix linking error with libsudo_util.so - add upstream patch to fix handling when crypt() returns NULL

    2015-02-14 - oden <oden> 1:1.8.12-1.mga5 + Revision: 814926 - bump release - 1.8.12

    2014-10-15 - umeabot <umeabot> 1:1.8.10p3-4.mga5 + Revision: 750013 - Second Mageia 5 Mass Rebuild

    2014-10-09 - luigiwalser <luigiwalser> 1:1.8.10p3-3.mga5 + Revision: 737649 - add upstream patch to blacklist new-style bash function environment variables

    2014-09-16 - umeabot <umeabot> 1:1.8.10p3-2.mga5 + Revision: 689578 - Mageia 5 Mass Rebuild

    Advertisement
    Advertisement